<?php

$content = api_query('https://' . $server . '/manager/ispmgr?func=cron&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
$parse_xml = simplexml_load_string($content);
echo '<div class="menu"><img src="images/t-attr.png" alt="." /><a href="?func=cron.prop">Глобальные настройки</a><br />' . "\n";
echo '<img src="images/t-new.png" alt="." /><a href="?func=cron.edit">Создать задание</a>' . "\n";
echo '</div>' . "\n";
foreach($parse_xml->elem as $var) {
    echo '<div class="post"><b>Период:</b> ' . htmlentities((string)$var->interval, ENT_QUOTES, 'UTF-8') . '<br />' . "\n";
    echo '<b>Команда:</b><br />' . "\n";
    echo htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '<br />' . "\n";
    echo '&#187; <a href="?func=cron.edit&amp;elid=' . urlencode((string)$var->key) . '">Изменить</a><br />' . "\n";
    echo '&#187; <a href="?func=cron.delete&amp;elid=' . urlencode((string)$var->key) . '">Удалить</a>' . "\n";
    echo '</div>' . "\n";
}
echo '<div class="menu"><img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";

?>